Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Private Attributes | List of all members
Ipopt::RegisteredOptions Class Reference

Class for storing registered options. More...

`#include <IpRegOptions.hpp>`

Inheritance diagram for Ipopt::RegisteredOptions:
[legend]

## Public Types
typedef std::map< std::string, SmartPtr< RegisteredOption > > | RegOptionsList

## Public Member Functions
| DECLARE_STD_EXCEPTION (OPTION_ALREADY_REGISTERED)
virtual const RegOptionsList & | RegisteredOptionsList () const
| Giving access to iteratable representation of the registered options. More...
| RegisteredOptions ()
| Constructors / Destructors. More...
virtual | ~RegisteredOptions ()
| Standard Destructor. More...
virtual void | SetRegisteringCategory (const std::string &registering_category)
| Methods to interact with registered options. More...
virtual std::string | RegisteringCategory ()
| retrieve the value of the current registering category More...
virtual void | AddNumberOption (const std::string &name, const std::string &short_description, Number default_value, const std::string &long_description="")
| Add a Number option (with no restrictions) More...
virtual void | AddLowerBoundedNumberOption (const std::string &name, const std::string &short_description, Number lower, bool strict, Number default_value, const std::string &long_description="")
| Add a Number option (with a lower bound) More...
virtual void | AddUpperBoundedNumberOption (const std::string &name, const std::string &short_description, Number upper, bool strict, Number default_value, const std::string &long_description="")
| Add a Number option (with a upper bound) More...
virtual void | AddBoundedNumberOption (const std::string &name, const std::string &short_description, Number lower, bool lower_strict, Number upper, bool upper_strict, Number default_value, const std::string &long_description="")
| Add a Number option (with a both bounds) More...
virtual void | AddIntegerOption (const std::string &name, const std::string &short_description, Index default_value, const std::string &long_description="")
| Add a Integer option (with no restrictions) More...
virtual void | AddLowerBoundedIntegerOption (const std::string &name, const std::string &short_description, Index lower, Index default_value, const std::string &long_description="")
| Add a Integer option (with a lower bound) More...
virtual void | AddUpperBoundedIntegerOption (const std::string &name, const std::string &short_description, Index upper, Index default_value, const std::string &long_description="")
| Add a Integer option (with a upper bound) More...
virtual void | AddBoundedIntegerOption (const std::string &name, const std::string &short_description, Index lower, Index upper, Index default_value, const std::string &long_description="")
| Add a Integer option (with a both bounds) More...
virtual void | AddStringOption (const std::string &name, const std::string &short_description, const std::string &default_value, const std::vector< std::string > &settings, const std::vector< std::string > &descriptions, const std::string &long_description="")
| Add a String option (with no restrictions) More...
virtual void | AddStringOption1 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &long_description="")
| Methods that make adding string options with only a few entries easier. More...
virtual void | AddStringOption2 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &long_description="")
virtual void | AddStringOption3 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &long_description="")
virtual void | AddStringOption4 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &long_description="")
virtual void | AddStringOption5 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &setting5, const std::string &description5, const std::string &long_description="")
virtual void | AddStringOption6 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &setting5, const std::string &description5, const std::string &setting6, const std::string &description6, const std::string &long_description="")
virtual void | AddStringOption7 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &setting5, const std::string &description5, const std::string &setting6, const std::string &description6, const std::string &setting7, const std::string &description7, const std::string &long_description="")
virtual void | AddStringOption8 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &setting5, const std::string &description5, const std::string &setting6, const std::string &description6, const std::string &setting7, const std::string &description7, const std::string &setting8, const std::string &description8, const std::string &long_description="")
virtual void | AddStringOption9 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &setting5, const std::string &description5, const std::string &setting6, const std::string &description6, const std::string &setting7, const std::string &description7, const std::string &setting8, const std::string &description8, const std::string &setting9, const std::string &description9, const std::string &long_description="")
virtual void | AddStringOption10 (const std::string &name, const std::string &short_description, const std::string &default_value, const std::string &setting1, const std::string &description1, const std::string &setting2, const std::string &description2, const std::string &setting3, const std::string &description3, const std::string &setting4, const std::string &description4, const std::string &setting5, const std::string &description5, const std::string &setting6, const std::string &description6, const std::string &setting7, const std::string &description7, const std::string &setting8, const std::string &description8, const std::string &setting9, const std::string &description9, const std::string &setting10, const std::string &description10, const std::string &long_description="")
virtual SmartPtr< const RegisteredOption > | GetOption (const std::string &name)
| Get a registered option - this will return NULL if the option does not exist. More...
virtual void | OutputOptionDocumentation (const Journalist &jnlst, std::list< std::string > &categories)
| Output documentation for the options - gives a description, etc. More...
virtual void | OutputLatexOptionDocumentation (const Journalist &jnlst, std::list< std::string > &categories)
| Output documentation in Latex format to include in a latex file. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
Index | next_counter_
std::string | current_registering_category_
std::map< std::string, SmartPtr< RegisteredOption > > | registered_options_

## Detailed Description

Class for storing registered options.

Used for validation and documentation.

Definition at line 390 of file IpRegOptions.hpp.

## Member Typedef Documentation

typedef std::map<std::string, SmartPtr<RegisteredOption> > Ipopt::RegisteredOptions::RegOptionsList

Definition at line 642 of file IpRegOptions.hpp.

## Constructor & Destructor Documentation

Ipopt::RegisteredOptions::RegisteredOptions | ( |  | ) |
| inline

Constructors / Destructors.

Standard Constructor

Definition at line 396 of file IpRegOptions.hpp.

virtual Ipopt::RegisteredOptions::~RegisteredOptions | ( |  | ) |
| inline virtual

Standard Destructor.

Definition at line 403 of file IpRegOptions.hpp.

## Member Function Documentation

Ipopt::RegisteredOptions::DECLARE_STD_EXCEPTION | ( | OPTION_ALREADY_REGISTERED |  | ) |

virtual void Ipopt::RegisteredOptions::SetRegisteringCategory | ( | const std::string & | registering_category | ) |
| inline virtual

Methods to interact with registered options.

set the registering class. All subsequent options will be added with the registered class

Definition at line 413 of file IpRegOptions.hpp.

virtual std::string Ipopt::RegisteredOptions::RegisteringCategory | ( |  | ) |
| inline virtual

retrieve the value of the current registering category

Definition at line 419 of file IpRegOptions.hpp.

virtual void Ipopt::RegisteredOptions::AddNumberOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Number | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Number option (with no restrictions)

virtual void Ipopt::RegisteredOptions::AddLowerBoundedNumberOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Number | lower,
|  | bool | strict,
|  | Number | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Number option (with a lower bound)

virtual void Ipopt::RegisteredOptions::AddUpperBoundedNumberOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Number | upper,
|  | bool | strict,
|  | Number | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Number option (with a upper bound)

virtual void Ipopt::RegisteredOptions::AddBoundedNumberOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Number | lower,
|  | bool | lower_strict,
|  | Number | upper,
|  | bool | upper_strict,
|  | Number | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Number option (with a both bounds)

virtual void Ipopt::RegisteredOptions::AddIntegerOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Index | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Integer option (with no restrictions)

virtual void Ipopt::RegisteredOptions::AddLowerBoundedIntegerOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Index | lower,
|  | Index | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Integer option (with a lower bound)

virtual void Ipopt::RegisteredOptions::AddUpperBoundedIntegerOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Index | upper,
|  | Index | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Integer option (with a upper bound)

virtual void Ipopt::RegisteredOptions::AddBoundedIntegerOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | Index | lower,
|  | Index | upper,
|  | Index | default_value,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a Integer option (with a both bounds)

virtual void Ipopt::RegisteredOptions::AddStringOption | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::vector< std::string > & | settings,
|  | const std::vector< std::string > & | descriptions,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Add a String option (with no restrictions)

virtual void Ipopt::RegisteredOptions::AddStringOption1 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

Methods that make adding string options with only a few entries easier.

virtual void Ipopt::RegisteredOptions::AddStringOption2 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption3 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption4 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption5 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | setting5,
|  | const std::string & | description5,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption6 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | setting5,
|  | const std::string & | description5,
|  | const std::string & | setting6,
|  | const std::string & | description6,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption7 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | setting5,
|  | const std::string & | description5,
|  | const std::string & | setting6,
|  | const std::string & | description6,
|  | const std::string & | setting7,
|  | const std::string & | description7,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption8 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | setting5,
|  | const std::string & | description5,
|  | const std::string & | setting6,
|  | const std::string & | description6,
|  | const std::string & | setting7,
|  | const std::string & | description7,
|  | const std::string & | setting8,
|  | const std::string & | description8,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption9 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | setting5,
|  | const std::string & | description5,
|  | const std::string & | setting6,
|  | const std::string & | description6,
|  | const std::string & | setting7,
|  | const std::string & | description7,
|  | const std::string & | setting8,
|  | const std::string & | description8,
|  | const std::string & | setting9,
|  | const std::string & | description9,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual void Ipopt::RegisteredOptions::AddStringOption10 | ( | const std::string & | name,
|  | const std::string & | short_description,
|  | const std::string & | default_value,
|  | const std::string & | setting1,
|  | const std::string & | description1,
|  | const std::string & | setting2,
|  | const std::string & | description2,
|  | const std::string & | setting3,
|  | const std::string & | description3,
|  | const std::string & | setting4,
|  | const std::string & | description4,
|  | const std::string & | setting5,
|  | const std::string & | description5,
|  | const std::string & | setting6,
|  | const std::string & | description6,
|  | const std::string & | setting7,
|  | const std::string & | description7,
|  | const std::string & | setting8,
|  | const std::string & | description8,
|  | const std::string & | setting9,
|  | const std::string & | description9,
|  | const std::string & | setting10,
|  | const std::string & | description10,
|  | const std::string & | long_description = `""`
| ) |  |
| virtual

virtual SmartPtr<const RegisteredOption> Ipopt::RegisteredOptions::GetOption | ( | const std::string & | name | ) |
| virtual

Get a registered option - this will return NULL if the option does not exist.

virtual void Ipopt::RegisteredOptions::OutputOptionDocumentation | ( | const Journalist & | jnlst,
|  | std::list< std::string > & | categories
| ) |  |
| virtual

Output documentation for the options - gives a description, etc.

virtual void Ipopt::RegisteredOptions::OutputLatexOptionDocumentation | ( | const Journalist & | jnlst,
|  | std::list< std::string > & | categories
| ) |  |
| virtual

Output documentation in Latex format to include in a latex file.

virtual const RegOptionsList& Ipopt::RegisteredOptions::RegisteredOptionsList | ( |  | ) | const
| inline virtual

Giving access to iteratable representation of the registered options.

Definition at line 646 of file IpRegOptions.hpp.

## Member Data Documentation

Index Ipopt::RegisteredOptions::next_counter_
| private

Definition at line 652 of file IpRegOptions.hpp.

std::string Ipopt::RegisteredOptions::current_registering_category_
| private

Definition at line 653 of file IpRegOptions.hpp.

std::map<std::string, SmartPtr<RegisteredOption> > Ipopt::RegisteredOptions::registered_options_
| private

Definition at line 654 of file IpRegOptions.hpp.

The documentation for this class was generated from the following file:

- src/Common/IpRegOptions.hpp